import { Router } from 'express';
import authRoutes from './auth';
import taskRoutes from './tasks';
import userRoutes from './users';
import fileRoutes from './files';
import kpiRoutes from './kpi';
import columnRoutes from './columns';
import milestoneRoutes from './milestones';
import detailRoutes from './details';
import teamMemberRoutes from './teamMembers';
import hubConfigRoutes from './hubConfig';

const router = Router();

router.use('/auth', authRoutes);
router.use('/tasks', taskRoutes);
router.use('/team-members', teamMemberRoutes);
router.use('/users', userRoutes);
router.use('/files', fileRoutes);
router.use('/kpi', kpiRoutes);
router.use('/columns', columnRoutes);
router.use('/hub-config', hubConfigRoutes);
router.use('/milestones', milestoneRoutes);
router.use('/details', detailRoutes);

export default router;
